=== po/CMakeLists.txt ===
ADD_SUBDIRECTORY( bg )
ADD_SUBDIRECTORY( cs )
ADD_SUBDIRECTORY( de )
ADD_SUBDIRECTORY( el )
ADD_SUBDIRECTORY( es )
ADD_SUBDIRECTORY( fr )
ADD_SUBDIRECTORY( pl )
ADD_SUBDIRECTORY( pt_BR )
ADD_SUBDIRECTORY( sr )
ADD_SUBDIRECTORY( sr@latin )
