=== po/es/CMakeLists.txt ===
FILE( GLOB _po_files *.po )
GETTEXT_PROCESS_PO_FILES( es ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )
