=== debian/watch ===
version=3
http://sf.net/subcomposer/subtitlecomposer-(.*)\.tar\.bz2
