## subtitlecomposer 0.5.7

=== CMakeLists.txt ===
PROJECT(subtitlecomposer)

FIND_PACKAGE(KDE4 REQUIRED)
# FIND_PACKAGE(Msgfmt REQUIRED)
FIND_PACKAGE(Gettext REQUIRED)

INCLUDE(KDE4Defaults)
INCLUDE(MacroLibrary)

ADD_SUBDIRECTORY(po)
ADD_SUBDIRECTORY(src)
