=== po/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,11 @@
 ADD_SUBDIRECTORY( el )
 ADD_SUBDIRECTORY( es )
 ADD_SUBDIRECTORY( fr )
+ADD_SUBDIRECTORY( hr )
+ADD_SUBDIRECTORY( hu )
 ADD_SUBDIRECTORY( pl )
 ADD_SUBDIRECTORY( pt_BR )
+ADD_SUBDIRECTORY( ru )
 ADD_SUBDIRECTORY( sr )
 ADD_SUBDIRECTORY( sr@latin )
+ADD_SUBDIRECTORY( uk )
