=== src/common/CMakeLists.txt ===
SET( common_LIBS
	${KDE4_KIO_LIBS}
	CACHE INTERNAL EXPORTEDVARIABLE
)

SET( common_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/commondefs.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/qxtsignalwaiter.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/fileloadhelper.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/filesavehelper.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/filetrasher.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/languagecode.cpp
	CACHE INTERNAL EXPORTEDVARIABLE
)
