=== debian/changelog ===
subtitlecomposer (0.5.7-1) unstable; urgency=medium

  [ Martin Steghöfer ]
  * Imported Upstream version 0.5.7 (Closes: #571687, #704067, #776326,
    #799957).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 11:33:42 +0200
