=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with=kde,xine

override_dh_install:
	dh_install
