=== src/CMakeLists.txt ===
--- 
+++ 
@@ -13,29 +13,40 @@
 	set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELEASE} -g")
 endif()
 
-INCLUDE_DIRECTORIES(
+include_directories(
 	${CMAKE_CURRENT_BINARY_DIR} # so files can find config.h
 	${CMAKE_CURRENT_SOURCE_DIR} # so that we can refer to our files starting at src dir
-	${KDE4_INCLUDES} # so we don't need to include it in other files
-	${QT4_INCLUDES} # same as previous
+	${Qt5Core_INCLUDE_DIRS} ${Qt5Widgets_INCLUDE_DIRS} ${Qt5Gui_INCLUDE_DIRS}
 )
 
-ADD_DEFINITIONS(${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -fexceptions -DHAVE_CONFIG_H)
+add_definitions(${QT_DEFINITIONS} -fexceptions -DHAVE_CONFIG_H)
 add_definitions(-D_DEFAULT_SOURCE)
+
+find_package(Phonon4Qt5 4.6.60 QUIET REQUIRED NO_MODULE)
+set_package_properties(Phonon4Qt5 PROPERTIES
+   DESCRIPTION "Qt-based audio library"
+   TYPE REQUIRED)
 
 # the subdirs must be added in a specific order
 # if one dir uses code from another, its CMakeLists.txt will reference variables
 # defined in the dependency directory that must be created before the former
 # CMakeLists.txt is processed
 
-ADD_SUBDIRECTORY(common)
-ADD_SUBDIRECTORY(core)
-ADD_SUBDIRECTORY(formats)
-ADD_SUBDIRECTORY(config) # depends on common
-ADD_SUBDIRECTORY(widgets)
-ADD_SUBDIRECTORY(services)
-ADD_SUBDIRECTORY(main)
+set(SC_PLUGIN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR}/subtitlecomposer CACHE INTERNAL EXPORTEDVARIABLE)
+
+add_subdirectory(common)
+add_subdirectory(core)
+add_subdirectory(formats)
+add_subdirectory(widgets)
+add_subdirectory(videoplayer)
+add_subdirectory(streamprocessor)
+add_subdirectory(speechprocessor)
+add_subdirectory(main)
+
+add_subdirectory(videoplayerplugins)
+
+add_subdirectory(speechplugins)
 
 # do the configuration of config.h at the end, so all the necessary variables have been set
-CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
+configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
