=== src/common/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,12 @@
-SET( common_LIBS
-	${KDE4_KIO_LIBS}
+set(common_LIBS
+	KF5::CoreAddons KF5::WidgetsAddons KF5::TextWidgets KF5::Codecs
+	KF5::SonnetCore KF5::SonnetUi
+	KF5::KIOCore KF5::KIOFileWidgets KF5::KIOWidgets KF5::KIONTLM
+	KF5::KrossCore KF5::KrossUi KF5::XmlGui KF5::I18n
 	CACHE INTERNAL EXPORTEDVARIABLE
 )
 
-SET( common_SRCS
+set(common_SRCS
 	${CMAKE_CURRENT_SOURCE_DIR}/commondefs.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/qxtsignalwaiter.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/fileloadhelper.cpp
