=== debian/changelog ===
subtitlecomposer (0.6.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Fix Vcs-Git field.
  * Update the patches:
    - link-x11.diff: drop, fixed upstream
  * Fix the loading of videoplayer plugins; patch fix-plugins-loading.diff.

 -- Pino Toscano <pino@debian.org>  Tue, 05 Apr 2016 00:04:04 +0200

subtitlecomposer (0.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies following the port to Frameworks:
    - remove kdelibs5-dev
    - add qtbase5-dev, extra-cmake-modules,  libkf5auth-dev, libkf5codecs-dev,
      libkf5config-dev, libkf5configwidgets-dev, libkf5coreaddons-dev,
      libkf5i18n-dev, kio-dev, kross-dev, libkf5sonnet-dev,
      libkf5textwidgets-dev, libkf5widgetsaddons-dev, libkf5xmlgui-dev
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Update Homepage to the new github home.
  * Drop menu file, since subtitlecomposer already provides a .desktop file.
  * Remove useless dh_install override, since it does the same thing.
  * Update the build dependencies:
    - add libphonon4qt5-dev, libphonon4qt5experimental-dev, libicu-dev,
      libmpv-dev, and libxcb1-dev, needed by the new version
    - remove unused libxml2-dev
    - make pkg-config explicit
  * Update the Vcs-* fields.
  * Update the patches:
    - 0001-Link-phonon.patch: drop, fixed upstream
    - 0002-Link-against-X11.patch: drop, reworking it in a new link-x11.diff
    - 0003-Find-platform-dependant-include-files-of-GStreamer.patch: drop,
      fixed upstream
    - 0004-Fix-crash-Sonnet-Dialog-cannot-handle-empty-buffers.patch: drop,
      obsolete
  * The test suite needs X11, so:
    - add the xvfb and xauth build dependencies
    - run dh_auto_test with xvfb-run
  * Update lintian overrides.
  * Link in as-needed mode.
  * Bump Standards-Version to 3.9.7, no changes required.
  * Remove no more useful Build-Conflicts: qt5-default.
  * Switch mplayer2 suggest to mplayer.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Sun, 27 Mar 2016 13:13:26 +0200
