## subtitlecomposer 0.6.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,9 +25,6 @@
 include(FeatureSummary)
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
-set(CMAKE_AUTOMOC ON)
-set(CMAKE_AUTORCC ON)
-set(CMAKE_AUTOUIC ON)
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core Widgets Test)
