=== src/common/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,6 @@
 
 set(common_SRCS
 	${CMAKE_CURRENT_SOURCE_DIR}/commondefs.cpp
-	${CMAKE_CURRENT_SOURCE_DIR}/qxtsignalwaiter.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/fileloadhelper.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/filesavehelper.cpp
 	${CMAKE_CURRENT_SOURCE_DIR}/filetrasher.cpp
