=== src/streamprocessor/CMakeLists.txt ===
find_package(GLIB2 REQUIRED QUIET)
find_package(GObject REQUIRED QUIET)
#find_package(LibXml2 REQUIRED QUIET)

find_package(GStreamer REQUIRED QUIET)
#find_package(GStreamerPlugins REQUIRED QUIET)

set(streamprocessor_INCLUDE_DIR
	${GLIB2_INCLUDE_DIR}
	${GSTREAMER_INCLUDE_DIR}
	CACHE INTERNAL EXPORTEDVARIABLE
)

set(streamprocessor_DEFS
	${GOBJECT_DEFINITIONS}
	CACHE INTERNAL EXPORTEDVARIABLE
)

set(streamprocessor_LIBS
	${GLIB2_LIBRARIES}
	${GOBJECT_LIBRARIES}
	${GSTREAMER_LIBRARIES}
	CACHE INTERNAL EXPORTEDVARIABLE
)

set(streamprocessor_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/gstreamer.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/streamprocessor.cpp
	CACHE INTERNAL EXPORTEDVARIABLE
)
