=== src/formats/textdemux/CMakeLists.txt ===
set(formats_microdvd_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/textdemux.cpp
	CACHE INTERNAL EXPORTEDVARIABLE
)
