=== debian/changelog ===
subtitlecomposer (0.6.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - fixes build with GCC 6 (Closes: #812035)
  * Update copyright.
  * Update the patches:
    - fix-plugins-loading.diff: drop, fixed upstream
  * Bump Standards-Version to 3.9.8, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 16 May 2016 08:28:08 +0200
