=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
  libxcb1-dev,
 # for tests:
  xvfb, xauth,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/maxrd2/subtitlecomposer
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/subtitlecomposer.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/subtitlecomposer.git
