=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with=kf5,xine

override_dh_auto_test:
	xvfb-run -a dh_auto_test
