=== src/formats/vobsub/CMakeLists.txt ===
add_subdirectory(mplayer)

set(formats_vobsub_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/vobsubinputformat.h
	${CMAKE_CURRENT_SOURCE_DIR}/vobsubinputinitdialog.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/vobsubinputprocessdialog.cpp
	CACHE INTERNAL EXPORTEDVARIABLE
)

set(formats_vobsub_UIS
	${CMAKE_CURRENT_SOURCE_DIR}/vobsubinputinitdialog.ui
	${CMAKE_CURRENT_SOURCE_DIR}/vobsubinputprocessdialog.ui
	CACHE INTERNAL EXPORTEDVARIABLE
)

set(formats_vobsub_LIBS
	vobsubmplayer
	CACHE INTERNAL EXPORTEDVARIABLE
)
