=== debian/changelog ===
subtitlecomposer (0.6.5-1build1) bionic; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 08:55:44 +0000

subtitlecomposer (0.6.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Replace the transitional build dependencies:
    - kio-dev -> libkf5kio-dev
  * Update copyright.
  * Update the patches:
    - xine-cmake.diff: drop, backported from upstream
  * Do not install the upstream TODO as documentation, since it is not
    interesting for users, and in this case also basically empty.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Update Vcs-Browser field.

 -- Pino Toscano <pino@debian.org>  Fri, 29 Sep 2017 19:27:28 +0200

subtitlecomposer (0.6.4-2) unstable; urgency=medium

  * Team upload.
  * Remove support for Xine:
    - drop the libxine2-dev build dependency
    - stop mentioning it in the description
    - stop using the xine dh addon
    - stop mentioning the ${xine-x:Depends} variable
    - avoid cmake failure when Xine is not found; patch xine-cmake.diff.

 -- Pino Toscano <pino@debian.org>  Fri, 17 Jun 2016 23:33:49 +0200
